/*
    *
    * This file is a part of CoreShot.
    * A screen capture utility for CuboCore Application Suite
    * Copyright 2019 CuboCore Group
    *

    *
    * This program is free software; you can redistribute it and/or modify
    * it under the terms of the GNU General Public License as published by
    * the Free Software Foundation; either version 3 of the License, or
    * (at your option) any later version.
    *

    *
    * This program is distributed in the hope that it will be useful,
    * but WITHOUT ANY WARRANTY; without even the implied warranty of
    * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    * GNU General Public License for more details.
    *

    *
    * You should have received a copy of the GNU General Public License
    * along with this program; if not, write to the Free Software
    * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
    * MA 02110-1301, USA.
    *
*/


#ifndef CORESHOTDIALOG_H
#define CORESHOTDIALOG_H

#include <QWidget>
#include <QPixmap>

#include <cprime/settingsmanage.h>


class QMouseEvent;

namespace Ui {
    class coreshotdialog;
}

class coreshotdialog : public QWidget {

    Q_OBJECT

public:
    explicit coreshotdialog(QWidget *parent = nullptr);
    ~coreshotdialog();

private:
    Ui::coreshotdialog *ui;
    settingsManage *sm = settingsManage::initialize();
    QPixmap m_pixmap;
    QRect snapArea, lastgeom;
    bool mousegrabbed;
    QPoint pt_click;
    QWidget *areaOverlay;

    QRect pointsToRect(QPoint pt1, QPoint pt2);
    WId getActiveWindowId();
    QRect getWindowFrame(WId wid);
    void passToShotPreview();
    void startsetup();

private slots:
    void getPix();
    void shootActiveWindow();
    void shootFullScreen();
    void shootSelectArea();

protected:
    void mousePressEvent(QMouseEvent *ev) override;
    void mouseMoveEvent(QMouseEvent *ev) override;
    void mouseReleaseEvent(QMouseEvent *ev) override;
};

#endif // CORESHOTDIALOG_H
